Description: Get all information about an account by type and UUID (internal use only)
Ratelimit: 5 per 10s
Permission: accounts.read

Required parameters
Name Type Description
accountType string
serverId number The server id
uuid string The player uuid
Query parameters
Name Type Description Default
createIfNotExists boolean
Available codes
Status Code Description
200 OK The request has been successfully completed
400 INVALID_CREATE_IF_NOT_EXISTS The value doesn't follow the requirements
400 INVALID_SERVER_ID The server id is invalid
401 UNAUTHORIZED The token is invalid or expired
403 ACCESS_DENIED createIfNotExists requires the administrator permission
403 ACCESS_DENIED The token or the author does not have the required permissions
403 DISCORD_CONNECTION_REQUIRED You need a Discord account link to your Steam Account to access to the route
404 ACCOUNT_NOT_FOUND No account found with the given type and UUID
404 PLAYER_NOT_FOUND The uuid doesn't refer to an existing player
404 SERVER_NOT_FOUND The server does not exist
500 INTERNAL_ERROR An internal error has occured
Response structure
  • code: "OK"
  • data:
    • id: number
    • uuid: string
    • type: string
    • name: string | null
    • avatarUrl: string | null
    • linkedServers[]:
      • id: number
      • name: string
      • ip: string
      • port: number
      • slug: string | null
      • language: string | null
      • player:
        • id: number
        • name: string
        • uuid: string
        • firstConnection: date
        • accountName: string | null
        • accountType: string
        • accountId: number
        • avatarUrl: string
        • discordUsername: string | null
        • discordDiscriminator: string | null
        • serverId: number
        • roles[]:
          • serverId: number
          • id: number
          • name: string
          • color: string
          • position: number | null
          • categories:
            • id: number
            • name: string
          • deletedAt: date | null
        • language:
          • alpha2: string
          • name: string
        • badges[]:
          • id: number
          • category:
            • id: number
            • name: string
            • deletedAt: date | null
          • iconPath: string
          • fullIconPath: string
          • value: number
          • deletedAt: date | null
          • translations?:
            • name: string | null
            • description: string | null
          • addedAt: date
          • revokedAt: date | null